// ===========================================================================
// CONTENT  : CLASS AdminServerConfiguration
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/08/2006
// HISTORY  :
//  08/08/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.admin ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Holds configuration settings for the admin server. 
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class AdminServerConfiguration
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================
	public static final int DEFAULT_PORT = 3510 ;

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private int port = DEFAULT_PORT ;
  public int getPort() { return port ; }
  public void setPort( int newValue ) { port = newValue ; }

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public AdminServerConfiguration()
  {
    super() ;
  } // AdminServerConfiguration()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class AdminServerConfiguration
