// ===========================================================================
// CONTENT  : CLASS LDAPRequestParsingException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 08/07/2004
// HISTORY  :
//  08/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Must be thrown in any case of a parsing exception
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class LDAPRequestParsingException extends LDAPRequestException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public LDAPRequestParsingException( String message )
  {
    super( message ) ;
  } // LDAPRequestParsingException()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPRequestParsingException
