// ===========================================================================
// CONTENT  : CLASS InvalidDNException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/07/2004
// HISTORY  :
//  11/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.server ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 *
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class InvalidDNException extends LDAPProcessingException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public InvalidDNException()
  {
    super() ;
  } // InvalidDNException() 

	// -------------------------------------------------------------------------
	/**
	 * @param dn Should only contain the errenous DN
	 */
	public InvalidDNException( String dn )
	{
		super( dn );
	} // InvalidDNException()

	// -------------------------------------------------------------------------
	
	// =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class InvalidDNException 
